CMSIS-RTOS2: Globals

| CMSIS-RTOS2 Version 2.1.3 Real-Time Operating System: API and RTX Reference Implementation

- Main Page
- Usage and Description
- Reference

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Macros

- _
- i
- o
- t

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages

### - _ -

- __NO_RETURN : cmsis_os2.h

### - i -

- IRQHANDLER_T : os_tick.h

### - o -

- OS_EVR_THFLAGS : rtx_evr.h
- OS_EVR_WAIT : rtx_evr.h
- osFlagsError : cmsis_os2.h
- osFlagsErrorISR : cmsis_os2.h
- osFlagsErrorParameter : cmsis_os2.h
- osFlagsErrorResource : cmsis_os2.h
- osFlagsErrorTimeout : cmsis_os2.h
- osFlagsErrorUnknown : cmsis_os2.h
- osFlagsNoClear : cmsis_os2.h
- osFlagsWaitAll : cmsis_os2.h
- osFlagsWaitAny : cmsis_os2.h
- osMutexPrioInherit : cmsis_os2.h
- osMutexRecursive : cmsis_os2.h
- osMutexRobust : cmsis_os2.h
- osRtxConfigPrivilegedMode : rtx_os.h
- osRtxConfigStackCheck : rtx_os.h
- osRtxConfigStackWatermark : rtx_os.h
- osRtxErrorClibMutex : rtx_os.h
- osRtxErrorClibSpace : rtx_os.h
- osRtxErrorInvalidControlBlock : rtx_evr.h
- osRtxErrorInvalidDataMemory : rtx_evr.h
- osRtxErrorInvalidPriority : rtx_evr.h
- osRtxErrorInvalidThreadStack : rtx_evr.h
- osRtxErrorISRQueueOverflow : rtx_os.h
- osRtxErrorKernelNotReady : rtx_evr.h
- osRtxErrorKernelNotRunning : rtx_evr.h
- osRtxErrorMutexLockLimit : rtx_evr.h
- osRtxErrorMutexNotLocked : rtx_evr.h
- osRtxErrorMutexNotOwned : rtx_evr.h
- osRtxErrorSemaphoreCountLimit : rtx_evr.h
- osRtxErrorStackUnderflow : rtx_os.h
- osRtxErrorThreadNotJoinable : rtx_evr.h
- osRtxErrorTimerQueueOverflow : rtx_os.h
- osRtxErrorTZ_AllocContext_S : rtx_evr.h
- osRtxErrorTZ_FreeContext_S : rtx_evr.h
- osRtxErrorTZ_InitContext_S : rtx_evr.h
- osRtxErrorTZ_LoadContext_S : rtx_evr.h
- osRtxErrorTZ_SaveContext_S : rtx_evr.h
- osRtxEventFlagsCbSize : rtx_os.h
- osRtxEventFlagsLimit : rtx_os.h
- osRtxFlagSystemMemory : rtx_os.h
- osRtxFlagSystemObject : rtx_os.h
- osRtxIdEventFlags : rtx_os.h
- osRtxIdInvalid : rtx_os.h
- osRtxIdMemoryPool : rtx_os.h
- osRtxIdMessage : rtx_os.h
- osRtxIdMessageQueue : rtx_os.h
- osRtxIdMutex : rtx_os.h
- osRtxIdSemaphore : rtx_os.h
- osRtxIdThread : rtx_os.h
- osRtxIdTimer : rtx_os.h
- osRtxKernelId : rtx_os.h
- osRtxKernelInactive : rtx_os.h
- osRtxKernelLocked : rtx_os.h
- osRtxKernelReady : rtx_os.h
- osRtxKernelRunning : rtx_os.h
- osRtxKernelSuspended : rtx_os.h
- osRtxMemoryPoolCbSize : rtx_os.h
- osRtxMemoryPoolMemSize : rtx_os.h
- osRtxMessageQueueCbSize : rtx_os.h
- osRtxMessageQueueMemSize : rtx_os.h
- osRtxMutexCbSize : rtx_os.h
- osRtxMutexLockLimit : rtx_os.h
- osRtxSemaphoreCbSize : rtx_os.h
- osRtxSemaphoreTokenLimit : rtx_os.h
- osRtxStackFillPattern : rtx_os.h
- osRtxStackMagicWord : rtx_os.h
- osRtxThreadBlocked : rtx_os.h
- osRtxThreadCbSize : rtx_os.h
- osRtxThreadFlagDefStack : rtx_os.h
- osRtxThreadFlagsLimit : rtx_os.h
- osRtxThreadInactive : rtx_os.h
- osRtxThreadReady : rtx_os.h
- osRtxThreadRunning : rtx_os.h
- osRtxThreadStateMask : rtx_os.h
- osRtxThreadTerminated : rtx_os.h
- osRtxThreadWaitingDelay : rtx_os.h
- osRtxThreadWaitingEventFlags : rtx_os.h
- osRtxThreadWaitingJoin : rtx_os.h
- osRtxThreadWaitingMemoryPool : rtx_os.h
- osRtxThreadWaitingMessageGet : rtx_os.h
- osRtxThreadWaitingMessagePut : rtx_os.h
- osRtxThreadWaitingMutex : rtx_os.h
- osRtxThreadWaitingSemaphore : rtx_os.h
- osRtxThreadWaitingThreadFlags : rtx_os.h
- osRtxTimerCbSize : rtx_os.h
- osRtxTimerInactive : rtx_os.h
- osRtxTimerPeriodic : rtx_os.h
- osRtxTimerRunning : rtx_os.h
- osRtxTimerStopped : rtx_os.h
- osRtxVersionAPI : rtx_os.h
- osRtxVersionKernel : rtx_os.h
- osThreadDetached : cmsis_os2.h
- osThreadJoinable : cmsis_os2.h
- osWaitForever : cmsis_os2.h

### - t -

- TZ_MODULEID_T : cmsis_os2.h